<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
 if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
 header("Content-Type:text/html; charset=utf-8");
 // Captura la cédula del usuario inició sesión.	  
 $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
 $sede_usuario=$_SESSION['SEDE_USUARIO'];
	 
 // Captura los datos que vienen de inscribir_ciu.php
 $cedula = $_GET["cedula"];
 $apellidos = $_GET["apellidos"];
 $apellidos=strtoupper($apellidos);
 $nombres = $_GET["nombres"];
 $nombres=strtoupper($nombres);
 $participante=$apellidos.', '.$nombres;
 $carrera = $_GET["id_carrera"];
 $sede = $_GET["sede"];
 $periodo=$_GET["id_periodo"];
 $turno=$_GET["turno"];
 $seccion=$_GET["seccion"];
 $nivel='CN'; 
 
 // Determina la fecha de ingreso.
 $fecha1 = explode("-",date("Y-m-d")); 
 $fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
 $fecha_hoy = cambioFecha($fecha2);
 $fecha_ingreso=join ("-",(array_reverse(split("-",$fecha_hoy))));
 $annio=substr($fecha_ingreso,0,4);
 
 // Abro la Base de datos 
 mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'"); 
 
  // Para tomar los datos del alumno
 $sql = "SELECT id_alumno FROM alumnos WHERE cedula='$cedula'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $id_alumno= $row["id_alumno"];
 
 // Para tomar los datos del alumno
 $sql = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $codigo= $row["codigo"];
 
 // Valida si el estudiante aprobó el CIU.
 $sql = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $nombre_carrera= $row["nombre_carrera"];
 
 // Para tomar los datos de la carrera
 $sql = "SELECT nombre_carrera, num_materias_ciu FROM carreras WHERE id_carrera='$carrera'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $nombre_carrera= $row["nombre_carrera"]; 
 $num_aterias_ciu= $row["num_materias_ciu"];
 
 // Para tomar los datos de la carrera
 $sql = "SELECT nombre_carrera, num_materias_ciu FROM carreras WHERE id_carrera='$carrera'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $nombre_carrera= $row["nombre_carrera"]; 
 
 // Valida si el alumno realizó el pago de la inscripción.
$sql5 = "SELECT * FROM pagos WHERE carrera='$carrera' AND id_alumno='$id_alumno' AND id_periodo='$periodo' and codigo_pago='01-01'";
$rs5 = mysql_query($sql5, $conn) or die(mysql_error());
$row5 = mysql_fetch_assoc($rs5);
$inscrito=mysql_num_rows($rs5);
$conformado=$row5["conformado"];
if ($inscrito==0) {
    // Participante no ha pagado la inscripcion.
    header ("location:  mensaje_inscripcion.php?id_alumno=$id_alumno&id_periodo=$id_periodo");
	return;
}
else{
     if($conformado=="N"){
	    // Participante no ha pagado la inscripcion.
    header ("location:  mensaje_conformacion.php?id_alumno=$id_alumno&id_periodo=$id_periodo");
	 return;
	 }

} 
	
 // Valido si el estudiante ya esta inscrito en el Lapso seleccionado.
 $sql = "SELECT * FROM historial_alumnos where id_alumno='$id_alumno' and id_carrera='$carrera' and id_periodo='$periodo'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $total_rows = mysql_num_rows($rs);
 if($total_rows!=0){
   ?> 
      <script type="text/javascript">
	    msj="Estudiante <?php echo $participante ?>.\nYa está inscrito en el lapso <?php echo $codigo ?>"
	 	alert(msj);
	 </script>
	 <?php
	return;
  }	
  
  // Valido si el estudiante es regular.
 $sql = "SELECT * FROM historial_alumnos where id_alumno='$id_alumno' and id_carrera='$carrera' and nivel<>'CN'";
 $rs = mysql_query($sql, $conn) or die(mysql_error());
 $row = mysql_fetch_assoc($rs);
 $total_rows = mysql_num_rows($rs);
 if($total_rows!=0){
   ?> 
      <script type="text/javascript">
	    msj="Inscripción en Curso de Nivelación Inválida.\nParticipante <?php echo $participante ?> es regular.\nFavor dirigirse a Control de Estudios."
	 	alert(msj);
	 </script>
	 <?php
	return;
  }	


// Asigna sede, fecha de ingreso y carrera que cursa al estudiante.
 $sql = "update alumnos set `sede`='$sede',fecha_ingreso='$fecha_ingreso',carrera='$carrera' where id_alumno='$id_alumno'";
 mysql_query($sql, $conn) or die(mysql_error());
   
// Asigna la Sección para el Curso de Iniciación. 
 $semestre="0";
 $sql = "SELECT cupos,inscritos FROM secciones WHERE sede='$sede' AND carrera='$carrera' and periodo='$periodo' and semestre='$semestre' and turno='$turno' and nivel='CN' and seccion='$seccion' and (cupos-inscritos)>0 order by seccion";

 $rs_secciones=mysql_query($sql, $conn) or die(mysql_error());
 $row_secciones = mysql_fetch_assoc($rs_secciones);
 $total_secciones=mysql_num_rows($rs_secciones);
 
 if($total_secciones>0){
    // Existen secciones con cupo.
    
    // Acualiza la Sección al Participante para el programa que estudiará.
    $sql = "update `carreras_alumno` set  `seccion`='$seccion',`nivel`='CN' where id_alumno='$id_alumno' and id_carrera='$carrera'";
    mysql_query($sql, $conn) or die(mysql_error()); 

	// Actualiza los Cupos
	$inscritos=$row_secciones["inscritos"]+1;
    $sql = "update `secciones` set  `inscritos`='$inscritos' WHERE seccion='$seccion' and  sede='$sede' AND carrera='$carrera'  and nivel='$nivel' and periodo='$periodo' and semestre='$semestre' and turno='$turno'";
    mysql_query($sql, $conn) or die(mysql_error()); 
	   
	  // Inscribimos al alumno en Base a la Oferta Académica del Curso de Iniciación
    $sql = "insert into `inscripciones` (`id_alumno`, `id_periodo`, `turno`, `fecha`, `nivel`, `id_carrera`, `id_materia`, `semestre`, `id_seccion`, `sede`,`id_docente`) SELECT '$id_alumno' as id_alumno, '$periodo' as id_periodo, '$turno' as  turno, '$fecha_ingreso' as fecha_inscripcion, '$nivel' as nivel, id_carrera, id_materia, semestre, id_seccion, sede, id_profesor FROM  oferta_academica WHERE id_periodo='$periodo' and id_carrera='$carrera' and  nivel='$nivel' and sede='$sede' and id_seccion='$seccion' and turno='$turno' and semestre='$semestre'";
    mysql_query($sql, $conn) or die(mysql_error()); 

	 
	// Creamos el registro histórico de inscripciones del estudiante.
    $sql = "insert into `historial_alumnos` (`id_alumno`, `id_carrera`, `nivel`, `id_periodo`, `sede`, `cedula`, `seccion`, `turno`, `participante`, `nom_carrera`,`fecha`, `annio`,`semestre`) values('$id_alumno',  '$carrera', '$nivel', '$periodo', '$sede', '$cedula', '$seccion' , '$turno' ,'$participante', '$nombre_carrera', '$fecha_ingreso', '$annio', '$semestre')";
    mysql_query($sql, $conn) or die(mysql_error());  
   
   // Que pasa si es repitiente del CIU
   ?>
   <script type="text/javascript">
	   url="modulos/reportes/ciu_comprobante_inscripcion.php?id_alumno="+'<?php echo $id_alumno; ?>'+"&id_periodo="+'<?php echo $periodo; ?>'+"&codigo_sede="+'<?php echo $sede; ?>'+"&id_carrera="+'<?php echo $carrera; ?>';
	window.open(url);	
	
   </script>

<?php
	
   }	  
   else{
       ?>
	 <script type="text/javascript">
	    msj="No existen cupos para el Curso de Nivelación.\nCree una nueva sección o aumente el número de cupos."
	 	alert(msj);
	 </script>
	 <?php
   }

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     	  	  
?>